Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.wsas.transport.http
Class GenericHttpsTransportListener

    java.lang.Object
      org.wso2.wsas.transport.http.AbstractGenericTransportListener
          org.wso2.wsas.transport.http.GenericHttpsTransportListener

All Implemented Interfaces:
  org.apache.axis2.transport.TransportListener

    public class GenericHttpsTransportListener

extends AbstractGenericTransportListener

GenericHttpsTransportListener is the https listener when WSAS working inside a Servlet container

Field Summary

Fields inherited from class org.wso2.wsas.transport.http.AbstractGenericTransportListener
`configurationContext, proxyPort`

Fields inherited from interface org.apache.axis2.transport.TransportListener
`HOST_ADDRESS, PARAM_PORT`

Constructor Summary
`GenericHttpsTransportListener()`
`GenericHttpsTransportListener(org.apache.axis2.context.ConfigurationContext configurationContext)`

Method Summary
`org.apache.axis2.addressing.EndpointReference` | `getEPRForService(java.lang.String serviceName, java.lang.String ip)`
`org.apache.axis2.addressing.EndpointReference[]` | `getEPRsForService(java.lang.String serviceName, java.lang.String ip)`
`void` | `init(org.apache.axis2.context.ConfigurationContext configurationContext, org.apache.axis2.description.TransportInDescription transportIn)`
`void` | `start()`

Methods inherited from class org.wso2.wsas.transport.http.AbstractGenericTransportListener
`destroy, genEpr, getSessionContext, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenericHttpsTransportListener

    public GenericHttpsTransportListener()

### GenericHttpsTransportListener

    public GenericHttpsTransportListener(org.apache.axis2.context.ConfigurationContext configurationContext)

Method Detail

### init

    public void init(org.apache.axis2.context.ConfigurationContext configurationContext,
                     org.apache.axis2.description.TransportInDescription transportIn)
              throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### start

    public void start()
               throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### getEPRForService

    public org.apache.axis2.addressing.EndpointReference getEPRForService(java.lang.String serviceName,
                                                                          java.lang.String ip)
                                                                   throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### getEPRsForService

    public org.apache.axis2.addressing.EndpointReference[] getEPRsForService(java.lang.String serviceName,
                                                                             java.lang.String ip)
                                                                      throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD